/*
   <p>Set standard tabs (convenience function).</p>

   <kbd>
   <b>environ - C programming support functions</b><br>
   Copyright (C) 2005  Martin C Gregorie
   
   This program is free software; you can redistribute it and/or
   modify it under the terms of the Lesser GNU General Public License.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
  
   You should have received a copy of the Lesser GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
   </kbd>
  
   <p>Contact Martin Gregorie at <i>martin@gregorie.org</i></p>
*/

#include <stdio.h>
#include "environ.h"

/*

   Set standard tabs for the system in the tab stop list <u>tabstops</u>.
   This is a convenience function. It calls <i>tabdefault()</i> to
   get the standard tab spacing, <i>tabclear()</i> to clear the
   tabs list and then <i>tabspread()</i> to set the tabs at the
   standard spacing.

   <b>See also:</b> <i>tabclear(), tabexpand(), tabout(), tabset(),
      tabdefault(), tabpos(), tabspread()</i>
*/
void tabnormal(char *tabstops)
{
    int     tabgap = tabdefault();
    char    *s;

    tabclear(tabstops);
    tabspread(tabgap,tabstops);
}

